import request from '../../utils/request'

/**
 * 获取网站导航分页
 * 
 */
export function getWeChatConfigInfo(data) {
  return request({
    url: '/QYWeChat/GetWeChatConfigInfo',
    method: 'post',
    data
  })
}

/**
 * 获取网站导航分页
 * 
 */
export function setWeChatConfig(data) {
  return request({
    url: '/QYWeChat/SetWeChatConfig',
    method: 'post',
    data
  })
}

/**
 * 初始化 同步部门至企业微信
 * 
 */
export function setSyncEduDepartment(data) {
  return request({
    url: '/QYWeChat/SetSyncEduDepartment',
    method: 'post',
    data
  })
}
/**
 * 初始化 同步员工至企业微信
 * 
 */
export function SetSynvEduEmployee(data) {
  return request({
    url: '/QYWeChat/SetSynvEduEmployee',
    method: 'post',
    data
  })
}
/**
 * 分组管理 素材分组分页列表
 * 
 */
 export function getWeChatMediumGroupPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumGroupPageList',
    method: 'post',
    data
  })
}
/**
 * 分组管理 新增修改分组
 * 
 */
 export function setWeChatMediumGroup(data) {
  return request({
    url: '/QYWeChat/SetWeChatMediumGroup',
    method: 'post',
    data
  })
}

/**
 * 分组管理 新增修改分组
 * 
 */
 export function delWeChatMediumGroup(data) {
  return request({
    url: '/QYWeChat/DelWeChatMediumGroup',
    method: 'post',
    data
  })
}

/**
 * 素材管理 获取素材类型枚举列表
 * 
 */
 export function getMediumTypeEnumList(data) {
  return request({
    url: '/QYWeChat/GetMediumTypeEnumList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 素材分组列表
 * 
 */
 export function getWeChatMediumGroupList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumGroupList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 获取素材分页列表
 * 
 */
 export function getWeChatMediumPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatMediumPageList',
    method: 'post',
    data
  })
}

/**
 * 素材管理 新增修改素材
 * 
 */
 export function setWeChatMediumInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatMediumInfo',
    method: 'post',
    data
  })
}


/**
 * 素材管理 删除素材
 * 
 */
 export function delWecharMediumInfo(data) {
  return request({
    url: '/QYWeChat/DelWecharMediumInfo',
    method: 'post',
    data
  })
}

/**
 * 素材管理 素材移动
 * 
 */
 export function setWecharMediumMore(data) {
  return request({
    url: '/QYWeChat/SetWecharMediumMore',
    method: 'post',
    data
  })
}

/**
 * 获取欢迎语分页列表
 * 
 */
 export function getWeChatWelcomesPageList(data) {
  return request({
    url: '/QYWeChat/GetWeChatWelcomesPageList',
    method: 'post',
    data
  })
}

/**
 * 新增修改欢迎语
 * 
 */
 export function setWeChatWelcomesInfo(data) {
  return request({
    url: '/QYWeChat/SetWeChatWelcomesInfo',
    method: 'post',
    data
  })
}